commit: e84a2b02f04c69ada4274bdbb957d9571de3ca41
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 9 21:09:27 2021 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Sat Jan 9 21:09:27 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e84a2b02
sys-apps/findutils: Bump to version 4.8.0
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
sys-apps/findutils/Manifest | 1 +
sys-apps/findutils/findutils-4.8.0.ebuild | 67 +++++++++++++++++++++++++++++++
2 files changed, 68 insertions(+)
diff --git a/sys-apps/findutils/Manifest b/sys-apps/findutils/Manifest
index 61aa8b5fa95..4b673513663 100644
--- a/sys-apps/findutils/Manifest
+++ b/sys-apps/findutils/Manifest
@@ -1 +1,2 @@
DIST findutils-4.7.0.tar.xz 1895048 BLAKE2B
5d9f1f2f6bc47415057f9139af3d28abae7be9f812a15bce6016a4478eb3206f35c9329f281fda892f614d017f4f5615003ad60b6a74996ebfad81b1f4b54bf0
SHA512
650a24507f8f4ebff83ad28dd27daa4785b4038dcaadc4fe00823b976e848527074cce3f9ec34065b7f037436d2aa6e9ec099bc05d7472c29864ac2c69de7f2e
+DIST findutils-4.8.0.tar.xz 1983096 BLAKE2B
e1f030ef11c252d33e92bf58dca20a6dd681938aad74b1bbd2bf64a0d175d64c8edac1edce71d13379e04a27e47ffa6099e105bb731957cf5247ffe01d856538
SHA512
eaa2da304dbeb2cd659b9210ac37da1bde4cd665c12a818eca98541c5ed5cba1050641fc0c39c0a446a5a7a87a8d654df0e0e6b0cee21752ea485188c9f1071e
diff --git a/sys-apps/findutils/findutils-4.8.0.ebuild
b/sys-apps/findutils/findutils-4.8.0.ebuild
new file mode 100644
index 00000000000..54ec533e88b
--- /dev/null
+++ b/sys-apps/findutils/findutils-4.8.0.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit flag-o-matic toolchain-funcs python-any-r1
+
+DESCRIPTION="GNU utilities for finding files"
+HOMEPAGE="https://www.gnu.org/software/findutils/"
+SRC_URI="mirror://gnu/${PN}/${P}.tar.xz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv
~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos
~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="nls selinux static test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="selinux? ( sys-libs/libselinux )
+ nls? ( virtual/libintl )"
+DEPEND="${RDEPEND}
+ test? ( ${PYTHON_DEPS} )
+"
+BDEPEND="
+ nls? ( sys-devel/gettext )
+"
+
+pkg_setup() {
+ use test && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ # Don't build or install locate because it conflicts with mlocate,
+ # which is a secure version of locate. See bug 18729
+ sed \
+ -e '/^SUBDIRS/s@locate@@' \
+ -e '/^built_programs/s@ frcode locate updatedb@@' \
+ -i Makefile.in || die
+
+ default
+}
+
+src_configure() {
+ if use static; then
+ append-flags -pthread
+ append-ldflags -static
+ fi
+
+ program_prefix=$(usex userland_GNU '' g)
+ local myeconfargs=(
+ --with-packager="Gentoo"
+ --with-packager-version="${PVR}"
+ --with-packager-bug-reports="https://bugs.gentoo.org/"
+ --program-prefix=${program_prefix}
+ $(use_enable nls)
+ $(use_with selinux)
+ --libexecdir='$(libdir)'/find
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+ # We don't build locate, but the docs want a file in there.
+ emake -C locate dblocation.texi
+ default
+}